
-- 添加webapi服务：汇率批量保存web接口
DELETE FROM t_open_apiservice WHERE FID = 1381361041128055808;
INSERT INTO t_open_apiservice (fid, fnumber, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fenable, fdisablerid, fdisabledate, fmessagetype, fbizobject, 
fappid, fstatus, furlformat, furl, fhttpmethod, fcontenttype, freqtype, freptype, fapiservicetype, foperation, fcustommethod, fmasterid, fplugin)
VALUES(1381361041128055808, 'batchSave', 1, {ts'2022-03-21 21:56:37'}, 1, {ts'2022-03-21 21:58:54'}, '1', NULL, NULL, NULL, ' ', '0efa1992000000ac', 
'C', '/app/basedata/batchSave', NULL, '1', '0', NULL, NULL, '2', ' ', ' ', 1381361041128055808, '[{"FPK":"","Type":0,"Description":"-","RowKey":0,"ClassName":"kd.bos.inte.service.BatchSaveExchangeRateService","DisplayName":"-","Enabled":true,"BizAppId":"","Inherit":false}]');


DELETE FROM t_open_apiservice_l WHERE FID = 1381361041128055808;
INSERT INTO t_open_apiservice_l (fpkid, fid, flocaleid, fdiscription, fname) VALUES('2ANZC=2U62+A', 1381361041128055808, 'zh_CN', '汇率批量保存', '汇率批量保存');
INSERT INTO t_open_apiservice_l (fpkid, fid, flocaleid, fdiscription, fname) VALUES('2ANZC=2U62+B', 1381361041128055808, 'zh_TW', '彙率批量保存', '彙率批量保存');


---api请求头
DELETE FROM t_open_apiheaderentry WHERE FID = 1381361041128055808;
INSERT INTO t_open_apiheaderentry (fentryid,fid,fseq,fheadername,fheadervalue,fheaderdes) VALUES (1383419478720670720,1381361041128055808,1,'Content-Type','application/json','内容格式');
INSERT INTO t_open_apiheaderentry (fentryid,fid,fseq,fheadername,fheadervalue,fheaderdes) VALUES (1383419478720670721,1381361041128055808,2,'accesstoken','获取的accesstoken值','请求令牌');
	 
---api请求体
DELETE FROM t_open_apibodyentry WHERE FID = 1381361041128055808;
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381361736543661056,1381361041128055808,1,'datas','Array','1',' ',' ',0);
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381741027882200064,1381361041128055808,4,'targetCurrencyCode','String','1','HKD','目标币编码',1381361736543661056);
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381741064741741568,1381361041128055808,5,'directRate','Double','0','1.3','直接汇率',1381361736543661056);
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381741107565587456,1381361041128055808,6,'indirectRate','Double','0','0.223','间接汇率',1381361736543661056);
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381741864327078912,1381361041128055808,7,'conversionDate','String','1','2022-03-12','生效日期',1381361736543661056);
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381361863110976512,1381361041128055808,2,'exchangeRateTableCode','String','1','HLB','汇率表编码',1381361736543661056);
INSERT INTO t_open_apibodyentry (fentryid,fid,fseq,fparamname,fparamtype,fmust,fexample,fbodyparamdes,fparententryid) VALUES
	 (1381740844205239296,1381361041128055808,3,'originalCurrencyCode','String','1','CNY','原币编码',1381361736543661056);
	 
---api响应体
DELETE FROM t_open_apirespentry WHERE FID = 1381361041128055808;
INSERT INTO t_open_apirespentry (fentryid,fid,fseq,frespparamname,frespparamtype,frespparammust,frespexample,frespdes,fparententryid) VALUES
	 (1383365746221933568,1381361041128055808,2,'success','Boolean','1','true',' ',0);
INSERT INTO t_open_apirespentry (fentryid,fid,fseq,frespparamname,frespparamtype,frespparammust,frespexample,frespdes,fparententryid) VALUES 
	 (1383365935888360448,1381361041128055808,3,'data','Array','1',' ',' ',1383365746221933568);
INSERT INTO t_open_apirespentry (fentryid,fid,fseq,frespparamname,frespparamtype,frespparammust,frespexample,frespdes,fparententryid) VALUES
 	 (1383366108693685248,1381361041128055808,4,'dindex','int','1','0',' ',1383365935888360448);
INSERT INTO t_open_apirespentry (fentryid,fid,fseq,frespparamname,frespparamtype,frespparammust,frespexample,frespdes,fparententryid) VALUES
	 (1383420037125139456,1381361041128055808,5,'message','String','1',' ',' ',1383365935888360448);
INSERT INTO t_open_apirespentry (fentryid,fid,fseq,frespparamname,frespparamtype,frespparammust,frespexample,frespdes,fparententryid) VALUES
	 (1383596920479543296,1381361041128055808,1,'errorCode','String','1','success',' ',0);